%global modname multidict

Name:           python-%{modname}
Version:        6.0.2
Release:        %mkrel 2
Summary:        MultiDict implementation
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/multidict/
Source0:        https://pypi.io/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

%description
Multidicts are useful for working with HTTP headers, URL query args etc.

The code was extracted from aiohttp library.

%package -n python3-%{modname}
Summary:        MultiDict implementation
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest

%description -n python3-%{modname}
Multidicts are useful for working with HTTP headers, URL query args etc.

The code was extracted from aiohttp library.

%prep
%autosetup -n %{modname}-%{version}
sed -i -e '/addopts/d' setup.cfg

# Remove bundled egg-info
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

rm -f %{buildroot}%{python3_sitearch}/%{modname}/*.{c,pyx}

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 6.0.2-2.mga9
+ Revision: 1829356
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 6.0.2-1.mga9
+ Revision: 1781602
- version 6.0.2
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1707632
- new version: 5.1.0

* Mon Mar 22 2021 daviddavid <daviddavid> 4.7.6-2.mga9
+ Revision: 1707631
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 4.7.6-1.mga8
+ Revision: 1626347
- new version 4.7.6

* Sun Feb 16 2020 umeabot <umeabot> 4.5.2-3.mga8
+ Revision: 1533711
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 4.5.2-2.mga8
+ Revision: 1445332
- rebuild for python-3.8

* Wed Jan 09 2019 shlomif <shlomif> 4.5.2-1.mga7
+ Revision: 1353401
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 2.1.4-4.mga7
+ Revision: 1300531
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.4-3.mga7
+ Revision: 1135507
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 2.1.4-2.mga6
+ Revision: 1101149
- Port to Mageia
- imported package python-multidict


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1.4-1.1
- Rebuild for Python 3.6

* Thu Dec 01 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.4-1
- Update to 2.1.4

* Thu Dec 01 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.3-1
- Update to 2.1.3

* Mon Nov 07 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.2-1
- Update to 2.1.2

* Fri Sep 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.1.1-1
- Update to 2.1.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-1.1
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jul 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1.0-1
- Update to 1.1.0
- Trivial fixes

* Thu Jun 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1.0-0.1b4
- Initial package
